function love.load()
	--load the images
	background = love.graphics.newImage("fundo.png")
	player = love.graphics.newImage("ship.png")
	enemys = love.graphics.newImage("enemie.png")
	bullet = love.graphics.newImage("bullet.png")
	--variables
	font = love.graphics.newImageFont("Imagefont.png",
	" abcdefghijklmnopqrstuvwxyz" ..
    "ABCDEFGHIJKLMNOPQRSTUVWXYZ0" ..
	"123456789.,!?-+/():;%&`'*#=[]\"")
	love.graphics.setFont(font,8)
	width = love.graphics.getWidth()
	height = love.graphics.getHeight()
    playerX = 0
	playerY = 240
	score = 0
	scroll = 0
	speed = 200
	ammo = {}
	enemy = {}
	-- call initialize functions
	posEnemy(4)
end

function love.update(dt)
	--input keyboard from user
	if love.keyboard.isDown('up') then
		playerY = playerY - speed * dt
		if playerY < 0 then
			playerY = 0
		end
	end
	if love.keyboard.isDown('down') then
		playerY = playerY + speed * dt
		if playerY > height - 64 then
			playerY = height - 64 --64 is the width and height of the ship.
		end
	end	
	if love.keyboard.isDown('left') then
		playerX = playerX - speed * dt
		if playerX < 0 then
			playerX = 0
		end
	end	
	if love.keyboard.isDown('right') then
		playerX = playerX + speed * dt
		if playerX > width - 64 then
			playerX = width - 64 --64 is the width and height of the ship.
		end
	end
	
	for i = 1, #ammo do
		ammo[i].x = ammo[i].x + (dt * 300)
    end
	--update the enemies to making them moving
	moveEnemy(dt)
end

function love.draw()	--display the graphics on the screen
	love.graphics.draw(background,0,0)
	love.graphics.draw(player,playerX,playerY)
	for i = 1, #enemy do	-- draw enemies
		love.graphics.draw(enemys, enemy[i].x,enemy[i].y)
	end
	for i = 1, #ammo do		-- draw the bullets
		love.graphics.draw(bullet, ammo[i].x, ammo[i].y)
    end 
	love.graphics.print("Score: "..score,0,0)
end

function love.keypressed(key)
	if key == " " then
		ammo[#ammo + 1] = {
			x = playerX,
			y = playerY + 10
      }
	end
end

function posEnemy(howmany)	-- create and position the enemies on the screen
	for i = 1, howmany do
		enemy[i] = {
			x = width - 32,
			y = math.random(420) + 10,
			speed = math.random(50,200)
		}
	end
end

function moveEnemy(dt)	-- move or reset the enemies
	for i = 1, #enemy do
		if enemy[i].x <= - 32 then
			enemy[i].y = math.random(420) + 10
			enemy[i].x = width 
		else
			enemy[i].x = enemy[i].x - (enemy[i].speed * dt)
		end
	end
end